hlist_add_before_rcu
Prev | Doubly Linked Lists | Next

## Name

hlist_add_before_rcu —

## Synopsis

`void hlist_add_before_rcu (` | struct hlist_node * | n,
| struct hlist_node * | next`)`;

## Arguments

`n`

  the new element to add to the hash list.

`next`

  the existing element to add the new element before.

## Description

Adds the specified element to the specified hlist before the specified node while permitting racing traversals.

The caller must take whatever precautions are necessary (such as holding appropriate locks) to avoid racing with another list-mutation primitive, such as `hlist_add_head_rcu` or `hlist_del_rcu`, running on this same list. However, it is perfectly legal to run concurrently with the _rcu list-traversal primitives, such as `hlist_for_each_entry_rcu`, used to prevent memory-consistency problems on Alpha CPUs.

Prev | Up | Next
hlist_add_head_rcu | Home | hlist_add_after_rcu